#!/usr/bin/env bash

if [[ "$(tty)" != "/dev/tty1" ]]; then
    return
fi

if [[ -x /opt/configure-stormux/configure-stormux.sh ]]; then
    return
fi

if ! [[ -x /usr/local/bin/configure-stormux ]]; then
    return
fi

# For audible sudo prompts:
unset sudoFlags
if [[ -x /etc/audibleprompt.sh ]]; then
    export SUDO_ASKPASS=/etc/audibleprompt.sh
    export sudoFlags=("-A")
fi

cat << "EOF"
Hello, and welcome to Stormux!

Let's get you set up. After you press enter, you will be prompted for the sudo password.
When that happens, type the word stormux and press enter.
You will not receive any speech feedback for this process.
That is completely normal, and speech will return after you have typed the password.
Once again, the password is stormux in all lower case letters.

Please press enter to continue.
EOF
read -r
sudo "${sudoFlags[@]}" configure-stormux
